
*** Identity of the firm
label var siren "Siren identifier"
if $year==2007{
	tostring siren, replace
	replace siren="0"+siren if length(siren)==8
	replace siren="00"+siren if length(siren)==7
	replace siren="000"+siren if length(siren)==6
	replace siren="0000"+siren if length(siren)==5
	replace siren="00000"+siren if length(siren)==4
	replace siren="000000"+siren if length(siren)==3
	replace siren="0000000"+siren if length(siren)==2
	replace siren="00000000"+siren if length(siren)==1
}

* pb with ape: NAF93 until 2001, NAF 2003 in 2002, NAF 2008 from 2003
if $year<2002{
	label var ape_naf93 "Main activity (NAF93)"
}
if $year==2002{
	label var ape "Main activity"
	rename ape ape_rev1
}
if $year>2002{
	label var ape_rev1 "Main activity"
}
if $year==2003{
	replace ape_rev1="6419Z" if siren=="662042449"
	replace ape_rev1="6419Z" if siren=="954509741"
}
if $year==2002{
	replace ape_rev1="651C" if siren=="662042449"
	replace ape_rev1="651C" if siren=="954509741"
}

label var datcr "Birth year"
label var datcs "Date of termination"
label var dep "Location of the headquarter (Dpartement)"
label var ctdx "Length of the accounting period"

*** Income statement
* Employment
label var effec "Mean employment"

* Costs
label var tot_cost "Total costs (op_cost+attributed_loss+fin_cost+extra_cost+participation+income_tax)"
label var op_cost "Working expenses (merch_purchases+delta_inventories_merch+raw_purchases+delta_inventories_raw+other_cost+tax+wages+social_cont+dep_fixed+dep_prov_fixed+dep_prov_current+dep_prov_risk+other_work_cost)"
label var fin_cost "Financial charges (fin_cost_prov+fin_cost_interest+fin_cost_ermvts+fin_cost_market)"
label var extra_cost "Extraordinary expenses (extra_cost_management+extra_cost_capital+extra_cost_prov)"
label var participation "Employee-participation schemes"
label var income_tax "Income Taxes"
label var merch_purchases "Working expenses: Merchandises purchases"
label var delta_inventories_merch "Working expenses: Variation of merchandises inventories"
label var raw_purchases "Working expenses: Raw material purchases"
label var delta_inventories_raw "Working expenses: Variation of raw material inventories"
label var other_ext_cost "Working expenses: Other external purchases"
label var tax "Working expenses: Taxes and similar payments"
label var wages "Working expenses: Wages and salaries"
label var social_cont "Working expenses: Social contributions"
label var fin_cost_prov "Financial charges: Allocation to depreciation and provisions"
label var fin_cost_interest "Financial charges: Interest rate payments"
label var fin_cost_ermvts "Financial charges: Losses on exchange rate movements"
label var fin_cost_market "Financial charges: Net expenses on the sale of securities"

* Revenues
label var tot_revenue "Total revenues (op_revenue+financial+extrordinary)"
label var op_revenue "Operating revenues (tot_sales+delta_inventories_output+immo_output+operating_subs+reversal_prov+other_work_revenue)"
label var fin_revenue "Financial revenues (fin_revenue_inv+_otherinv+_other+_prov_reversal+_ermvts+_market)"
label var extra_revenue "Extraordinary revenues (extra_revenue_management+extra_revenue_capital+extra_revenue_prov)"
label var tot_sales "Operating revenues: Total sales (tot_sales_merch+tot_sales_output+tot_sales_services) (exp_sales+dom_sales)"
label var tot_sales_merch "Total sales of merchandises"
label var tot_sales_output "Total sales of produced goods"
label var tot_sales_services "Total sales of services"
label var exp_sales "Export sales (exp_sales_merch+exp_sales_output+exp_sales_services)"
label var exp_sales_merch "Export sales of merchandises"
label var exp_sales_output "Export sales of produced goods"
label var exp_sales_services "Export sales of services"
label var dom_sales "Domestic sales (dom_sales_merch+dom_sales_output+dom_sales_services)"
label var dom_sales_merch "Domestic sales of merchandises"
label var dom_sales_output "Domestic sales of produced goods"
label var dom_sales_services "Domestic sales of services"
label var delta_inventories_output "Operating revenues: Variation of inventories for produced goods"
label var fin_revenue_inv "Financial revenues: Financial revenues from assets"
label var fin_revenue_otherinv "Financial revenues: Financial revenues from other investments"
label var fin_revenue_other "Financial revenues: Other interest payments"
label var fin_revenue_prov_reversal "Financial revenues: Provision reversals"
label var fin_revenue_ermvts "Financial revenues: Gains on exchange rate movements"
label var fin_revenue_market "Financial revenues: Net gains on the sale of securities"

* Income (revenues - costs)
label var income "Net income (total revenues - total costs)"
label var net_income "Net income (profit or loss)"
* in principle, income = net_income
label var op_income "Operating income"
label var fin_income "Financial income"
label var before_tax_income "Current income before taxes"
label var extra_income "Extraordinary income"

*** Balance-sheet data

* assets
label var fixed_assets "Fixed assets (Intangible assets + Tangible assets + Financial assets)"
label var circulating_assets "Circulating assets (Inventories + Claims + Cash flow)"
label var other_assets "Other assets (Changes in valuation, etc.)"
label var tot_assets "Total assets (fixed_assets+circulating_assets+other_assets)"
label var operating_intangible_assets "Intangible assets: operating expenses"
label var rd_intangible_assets "Intangible assets: R&D expenses (available from 2005)"
label var patent_intangible_assets "Intangible assets: Patents, cocessions and similar rights"
label var goodwill_intangible_assets "Intangible assets: Goodwill"
label var other_intangible_assets "Intangible assets: Other"
label var advance_intangible_assets "Intangible assets: advanced payments on fixed assets"
label var lands_tangible_assets "Tangible assets: Lands"
label var buildings_tangible_assets "Tangible assets: Buildings"
label var equipment_tangible_assets "Tangible assets: Industrial equipment"
label var other_tangible_assets "Tangible assets: Other"
label var receivables_fin_assets "Financial assets: Receibables attached to holdings"
label var other_holdings_fin_assets "Financial assets: Other security holdings"
label var loans_fin_assets "Financial asstes: Loans"
label var other_fin_assets "Financial assets: Other"
label var inventories_raw "Inventories: raw materials"
label var inventories_goods "Inventories: Produced goods"
label var inventories_serv "Inventories: produced services"
label var inventories_inputs "Inventories: intermediates"
label var inventories_merch "Inventories: merchandises"

* liabilities
label var liabilities_equity "Liabilities: Equity"
label var liabilities_debt "Liabilities: Debt"
label var liability_other "Liabilities: Other (changes in valuation etc.)"
label var liabilities_tot "Liabilities: Total"
* in principle, total assets = total liabilities
label var equity_social_capital "Liabilities, Equity: Social capital"
label var equity_other "Liabilities, Equity: Other (Equity - Social capital - Net income)"
label var convertible_bonds "Convertible bonds"
label var other_bonds "Other bonds"
label var other_loans "Other loans"
label var bank_loans "Bank account overdrafts"
label var debt_bank "Debt against banks"
label var debt_suppliers "Debt to external suppliers"
label var debt_tax "Debt to the tax administration"
label var empdett "Loans and assimilated debts" 

* Aggregates
label var product "Output (tot_sales (merch+output+serv)+delta_inventories+immo_output-merch_purchases-delta_inventories_merch)"
label var va "Value added (output-raw_purchases-delta_inventories_raw-other_ext_cost)"
label var vabcf "Value added at factor costs (va - taxes + subsidies)"
label var ebe "Gross operating surplus (value added + operating subsidies - taxes - wages - social contributions)"
label var caf "Internal financing capacity (income+depreciation allowances+extraordinary expenses-reversals of provisions- extraordinary revenues)"
label var owner_equity "Owner's equity"
label var own_resources "Own ressources (owner_equity-uncalled_assets+Various provisions+revenue_issue_equity+cond_advances+retained_earnings)"
label var stable_debt "Stable debt (convertible_bonds + other_bonds + other_loans)"
label var stable_resources "Stable resources (own_resources + stable_debt)"
label var debt "Indebtedness (stable_debt + debt_bank)"
label var total_debt "Total debt (debt + advances_received + supplier_debt + tax_social_debt + fixed_asset_debt + other_debt)"
label var working_capital "Working capital (Stable resources - fixed assets - tangible assets - financial assets)"
label var need_working_capital "Need for working capital (Inventories + debt to suppliers + advances on orders)"
label var gross_fixed_assets "Total fixed assets (Tangible + intangible)"








